//****************************************************//
//						      //
//	 	   q3hexdm3 shader                    //
//                                                    //
//****************************************************//


//Q3A texture pair modified to add q3map2 lightstyles .... Hex
textures/q3hexdm3/q2flameanim_blue
{

	//	*************************************************
	//	*      	Blue Flame 				*
	//	*      	July 20, 1999 Surface Light 1800    	*	
	//	*	Please Comment Changes			*
	//	*************************************************
	qer_editorimage textures/q3hexdm3/b_flame7.tga
//mebbe delete first line below?
	q3map_lightimage textures/q3hexdm3/b_flame7.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
//trying double surfacelight due to lightstyle on shader
//	q3map_surfacelight 1800
	q3map_surfacelight 3600
	// ydnars lightstyles .... Hex
	q3map_lightStyle 4
	// texture changed to blue flame.... PAJ
	// 9/01 light dropped from 2500 to 1800 .... PAJ
	// tga folder location change .... Hex
	q3map_styleMarker
	{
		animMap 10 textures/q3hexdm3/b_flame1.tga textures/q3hexdm3/b_flame2.tga textures/q3hexdm3/b_flame3.tga textures/q3hexdm3/b_flame4.tga textures/q3hexdm3/b_flame5.tga textures/q3hexdm3/b_flame6.tga textures/q3hexdm3/b_flame7.tga textures/q3hexdm3/b_flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/q3hexdm3/b_flame2.tga textures/q3hexdm3/b_flame3.tga textures/q3hexdm3/b_flame4.tga textures/q3hexdm3/b_flame5.tga textures/q3hexdm3/b_flame6.tga textures/q3hexdm3/b_flame7.tga textures/q3hexdm3/b_flame8.tga textures/q3hexdm3/b_flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/q3hexdm3/b_flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}




//Q3A texture pair modified to add q3map2 lightstyles
textures/q3hexdm3/qflameanim_blue
{

	//	*************************************************
	//	*      	Blue Flame 				*
	//	*      	July 20, 1999 Surface Light 1800    	*	
	//	*	Please Comment Changes			*
	//	*************************************************
	qer_editorimage textures/q3hexdm3/b_flame7.tga
//mebbe delete first line below?
	q3map_lightimage textures/q3hexdm3/b_flame7.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
//trying double surfacelight due to lightstyle on shader
	q3map_surfacelight 1800
//	q3map_surfacelight 3600
	// ydnars lightstyles .... Hex
//	q3map_lightStyle 3
	// texture changed to blue flame.... PAJ
	// 9/01 light dropped from 2500 to 1800 .... PAJ
	// tga folder location change .... Hex
//	q3map_styleMarker
	{
		animMap 10 textures/q3hexdm3/b_flame1.tga textures/q3hexdm3/b_flame2.tga textures/q3hexdm3/b_flame3.tga textures/q3hexdm3/b_flame4.tga textures/q3hexdm3/b_flame5.tga textures/q3hexdm3/b_flame6.tga textures/q3hexdm3/b_flame7.tga textures/q3hexdm3/b_flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/q3hexdm3/b_flame2.tga textures/q3hexdm3/b_flame3.tga textures/q3hexdm3/b_flame4.tga textures/q3hexdm3/b_flame5.tga textures/q3hexdm3/b_flame6.tga textures/q3hexdm3/b_flame7.tga textures/q3hexdm3/b_flame8.tga textures/q3hexdm3/b_flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/q3hexdm3/b_flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/q3hexdm3/e8tinylightblue
{
	qer_editorimage textures/q3hexdm3/e8tinylightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 750
	{
		map textures/q3hexdm3/e8tinylightblue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/q3hexdm3/e8tinylightblue.blend.tga
		blendfunc add
	}
}

//new speedy set   planetquake.com/speedy
textures/q3hexdm3/u_trlight3_blue
{
	qer_editorimage textures/q3hexdm3/u_trlight3_blue.tga
	q3map_lightimage textures/q3hexdm3/u_trlight3_blue_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 2100
	{
		map textures/q3hexdm3/u_trlight3_blue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/q3hexdm3/u_trlight3_blue_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
		rgbGen wave sawtooth 0.9 0.2 0 7 
	}
}


textures/q3hexdm3/u_lamplong1_blue
{
	qer_editorimage textures/q3hexdm3/u_lamplong1_blue.tga
	q3map_lightimage textures/q3hexdm3/u_lamplong1_blue_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/q3hexdm3/u_lamplong1_blue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/q3hexdm3/u_lamplong1_blue_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
		rgbGen wave sin 0.9 0.2 0 0.3 
	}
}


//light_02 from kris [Idolator} hagedoorn, idolator@planetquake.com
//made blue by Hex
textures/q3hexdm3/light_02blue
{
      q3map_lightimage textures/q3hexdm3/light_02_blendblue.tga
	q3map_surfacelight 1750
	surfaceparm nomarks
		{
		map $lightmap
		rgbGen identity
		}
		{
		map textures/q3hexdm3/light_02blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		}
		{
		map textures/q3hexdm3/light_02_blendblue.tga
		rgbGen wave sin 0.5 0.2 0 0.5
		blendfunc GL_ONE GL_ONE
		}
}

//walltech_01 from kris [Idolator} hagedoorn, idolator@planetquake.com
textures/q3hexdm3/walltech_01
{
	
	{
       map textures/q3hexdm3/envmap_q32thecore.tga
       tcGen environment
       rgbGen identity
	 }   
      {
	 map textures/q3hexdm3/walltech_01.tga
       blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	 rgbGen identity
	 } 
      {
	 map $lightmap
       blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	 rgbGen identity
	 }

}


//walltech_01a from kris [Idolator} hagedoorn, idolator@planetquake.com
textures/q3hexdm3/walltech_01a
{
	
	{
       map textures/q3hexdm3/envmap_q32thecore.tga
       tcGen environment
       rgbGen identity
	 }   
      {
	 map textures/q3hexdm3/walltech_01a.tga
       blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	 rgbGen identity
	 } 
      {
	 map $lightmap
       blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	 rgbGen identity
	 }

}



//tec_04_shiny from kris [Idolator} hagedoorn, idolator@planetquake.com
textures/q3hexdm3/tec_04_shiny
{
	{
      	map textures/q3hexdm3/envmap_q32thecore.tga
      	tcGen environment
      	rgbGen identity
	}   
      	{
		map textures/q3hexdm3/tec_04_shiny.tga
      	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
      	{
		map $lightmap
      	blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/q3hexdm3/e8_rlightb
{
	qer_editorimage textures/q3hexdm3/e8_rlightb.tga
	q3map_lightimage textures/q3hexdm3/e8_rlightb.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 450
	{
		map textures/q3hexdm3/e8_rlightb.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/q3hexdm3/e8_rlightb.blend.tga
		blendfunc add
	}
}




//texture from Q3A  modified the sin wave params
textures/q3hexdm3/wsupprt1_12strobe
{
	qer_editorimage textures/q3hexdm3/wsupprt1_12.tga
	surfaceparm nomarks
	q3map_surfacelight 350
	//light1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3hexdm3/wsupprt1_12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/q3hexdm3/wsupprt1_12.blend.tga
		rgbGen wave sin 0.5 0.3 1 .5
		blendfunc GL_ONE GL_ONE
	}
}

//texture from Q3A removed sin wave 
textures/q3hexdm3/wsupprt1_12
{
	surfaceparm nomarks
	q3map_surfacelight 350
	//light1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3hexdm3/wsupprt1_12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/q3hexdm3/wsupprt1_12.blend.tga
//		rgbGen wave sin 0.5 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}




//from el3dm1   evillair.net
textures/q3hexdm3/e8_launchpad1
{
	surfaceparm metalsteps
	q3map_lightimage textures/q3hexdm3/e8_launchpad1.blend.tga
	q3map_surfacelight 100
	{
		map textures/q3hexdm3/e8_launchpad1_fx.tga
		rgbGen identity
		tcMod scroll 0 3
	}
	{
		map textures/q3hexdm3/e8_launchpad1.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/q3hexdm3/e8_launchpad1.blend.tga
		blendfunc add
		rgbGen wave triangle 0.2 2 1 2 
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}


textures/q3hexdm3/qglass
{
	qer_editorimage textures/q3hexdm3/tinfx.tga
	nopicmip
	qer_trans 0.6
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm playerclip
	{
		map textures/q3hexdm3/tinfx2.tga
		blendfunc GL_ONE GL_ONE
		tcGen environment
	}
}



//texture by Yves Allaire  evillair.net
textures/q3hexdm3/e8jumpspawn02b
{
//	surfaceparm metalsteps
	qer_editorimage textures/q3hexdm3/e8jumpspawn02b.tga
	q3map_lightimage textures/q3hexdm3/e8jumpspawn02_fx.tga
	q3map_surfacelight 100
	{
		map textures/q3hexdm3/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/q3hexdm3/e8jumpspawn02b.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}


//skybox by sock   planetquake.com/simland
textures/q3hexdm3/frozen_skybox
{
	qer_editorimage textures/q3hexdm3/frozen_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
//	q3map_lightmapsamplesize 8
//	q3map_lightsubdivide 64
//	q3map_lightsubdivide 32
//	q3map_lightsubdivide 16
	q3map_surfacelight 35
//	q3map_surfacelight 100
	surfaceparm sky
	q3map_sun 227 237 254 100 35 50
	skyparms env/q3hexdm3/frozen - -
}
